%define name    booh
%define version 0.9.1
%define release %mkrel 2
%define	title       Booh
%define	longtitle   Web-Album generator

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Web-Album generator
License:        GPL
Group:          Graphics
URL:            http://www.booh.org
Source:         http://www.booh.org/packages/%{name}-%{version}.tar.bz2
Requires:       ruby >= 1.8
Requires:       ruby-gtk2 >= 0.12
Requires:       ruby-gettext >= 0.8.0
Requires:       mplayer
Requires:       exif
Requires:       gimp
Requires:       ImageMagick
BuildRequires:  ruby-devel
BuildRequires:  ruby-gnome2-devel
BuildRequires:  gettext
BuildRequires:  ImageMagick
BuildRequires:  gdk-pixbuf-devel 
BuildRequires:  libexiv-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Yet another Web-Album generator. Highlights:

  * automatic rotation of portrait images thanks to information
    put by digital camera in .jpg file (EXIF)
  * immediate display of images (preloading in browser)
  * keep position of "next/previous" hyperlinks in browser
    between images
  * full video support (including thumbnailing)
  * clever use of the whole space of a typical browser window
    (the need to scroll portrait images is stupid)
  * themability
  * sub-albums support
  * remember your preferred size of thumbnails accross sub-albums
  * multi-processor support to speed up thumbnails generation
  * smooth integration of panoramic images in thumbnails pages
  * multi-languages web-album navigation (navigation links are
    automatically shown in user's language)
  * a GUI to input captions, rotate, reorder and remove
    images FAST (extensive use of keyboard shortcuts)
  * another GUI to classify photos and videos in a powerful manner

%prep
%setup -q

%build
ruby setup.rb config --rbdir=%ruby_vendorlibdir --sodir=%ruby_vendorarchdir
ruby setup.rb setup
cd ext
ruby extconf.rb --vendor
make

%install
rm -rf %buildroot
ruby setup.rb install --prefix=%buildroot
cd ext
make install DESTDIR=%buildroot libdir=%buildroot%{_libdir} archdir=%buildroot%ruby_sitearchdir
cd ..


install -d -m 755 %{buildroot}%{_datadir}/applications
install -m 644 desktop/booh.desktop %{buildroot}%{_datadir}/applications
install -m 644 desktop/booh-classifier.desktop %{buildroot}%{_datadir}/applications

# icons
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
cp desktop/booh-16x16.png %{buildroot}%{_miconsdir}/%{name}.png
cp desktop/booh-32x32.png %{buildroot}%{_iconsdir}/%{name}.png
cp desktop/booh-48x48.png %{buildroot}%{_liconsdir}/%{name}.png

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%find_lang %name --all-name 

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun 
%{clean_menus}
%endif

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-, root, root)
%doc README
%{_bindir}/*
%{ruby_vendorlibdir}/%{name}*
%{ruby_vendorarchdir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-classifier.desktop
%{_mandir}/*/*
%{_iconsdir}/*.png
%{_iconsdir}/*/*.png
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}


%changelog
* Sun Sep 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.1-2mdv2009.0
+ Revision: 282130
- Rebuild

* Mon Jun 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-1mdv2009.0
+ Revision: 228081
- new version

* Thu Jun 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.0-3mdv2009.0
+ Revision: 218491
- update dependencies

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.0-2mdv2009.0
+ Revision: 217979
- update description
- use upstreammenu entries
- fix build dependencies
- upstream patch for 1.8.7
- new version
  drop previous version patches

  + Pascal Terjan <pterjan@mandriva.org>
    - Move to vendor dir

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Stéphane Téletchéa <steletch@mandriva.org>
    - Updated ruby sitearchdir
    - Disable overriding ruby macros
    - Added the "original image size bot correctly handled" patch
    - Import booh



* Fri Sep 01 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.6-4mdv2007.0
- Fix XDG migration

* Fri Jul 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.6-3mdv2007.0
- patch1: fix method arguments number in render_pixmap_and_mask()

* Wed Jul 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.6-2mdv2007.0
- patch to drop ruby 1.8.4 warning, as mandriva ruby package has been fixed
- xdg menu
- spec cleanup
- rpmbuildupdate aware
- new URL

* Thu May 04 2006 Lenny Cartier <lenny@mandriva.com> 0.8.6-1mdk
- 0.8.6

* Thu Dec 29 2005 Guillaume Cottenceau 0.8.5-1mdk
- new version

* Wed Dec 14 2005 Guillaume Cottenceau 0.8.4.1-1mdk
- new version (contains a fix for using gtk+-2.8.9 - probably)

* Sun Dec 04 2005 Guillaume Cottenceau 0.8.4-2mdk
- new version (use -2mdk because upload scripts partially accepted 0.8.4-1mdk already)

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.3-2mdk
- Fix BuildRequires
- %%mkrel

* Tue Sep 27 2005 Guillaume Cottenceau 0.8.3-1mdk
- new version
- don't depend on transcode (is not in main or contrib)
- don't depend on exif (is not needed anymore)
- depend on ImageMagick (this was missing)
- add icons

* Sun Aug 14 2005 Guillaume Cottenceau 0.8.2-1mdk
- new version

* Tue Aug 02 2005 Guillaume Cottenceau 0.8.1-1mdk
- new version (with bash-completion thx guillomovitch)

* Sat Jul 30 2005 Guillaume Cottenceau 0.8.0-1mdk
- new version

* Fri Jun 17 2005 Guillaume Cottenceau 0.7.1-1mdk
- new version

* Thu Jun 16 2005 Guillaume Cottenceau 0.7.0-1mdk
- new version

* Mon May 23 2005 Guillaume Cottenceau 0.6.0-1mdk
- new version

* Sun May  8 2005 Guillaume Cottenceau 0.5.2-1mdk
- new version

* Sun May  8 2005 Guillaume Cottenceau 0.5.1-1mdk
- new version

* Sat May  7 2005 Guillaume Cottenceau 0.5.0-1mdk
- new version

* Sun Apr 17 2005 Guillaume Cottenceau 0.4.0-1mdk
- new version

* Sat Apr 09 2005 Guillaume Cottenceau 0.3.0-1mdk
- new version

* Fri Apr 01 2005 Guillaume Cottenceau 0.2.0-1mdk
- new version

* Mon Mar 28 2005 Guillaume Cottenceau 0.1.0-1mdk
- first mdk package
